<?
if(!defined('GAME'))
{
	die();
}

if( $itm['magic_inci'] == 'antipropuskpsh' ) {



	$test = mysql_fetch_array(mysql_query('SELECT `id`,`time` FROM `actions` WHERE `uid` = "'.$usr['id'].'" AND `vars` = "psh0" AND `time` > "'.time().'" LIMIT 1'));
	if(!isset($usr['id']) || $usr['room'] != $u->info['room']) {
		$u->error = 'Неудалось найти персонажа &quot;'.htmlspecialchars($_GET['login']).'&quot; или он в другой комнате.';
	}elseif( $usr['admin'] > 0 || ($usr['align'] > 3 && $usr['align'] < 4) || ($usr['align'] > 1 && $usr['align'] < 2)) {
		$u->error = 'Не удалось использовать &quot;'.htmlspecialchars($_GET['login']).'&quot; под защитой.';		
	}elseif( $u->info['align'] != 2 ) {
		if ($u->info['money']>100)
		{
		
		if( !isset($test['id']) ) {
			$u->addAction( time()+300 ,'psh0',$usr['id'],$usr['id']);
			$test = mysql_fetch_array(mysql_query('SELECT `id`,`time` FROM `actions` WHERE `uid` = "'.$usr['id'].'" AND `vars` = "psh0" AND `time` > "'.time().'" LIMIT 1'));
		}
		$u->addAction(time(),'propuskpsh','',$usr['id']);
		$u->error = 'Все прошло успешно, задержки в пещеры увеличены на 24 часа для &quot;'.$usr['login'].'&quot;.';
		$u->addDelo(4,$usr['id'],'&quot;<font color="olive">System.magic</font>&quot;: На персонажа применил магию Клаустрофобия '.$u->info['login'],time(),$usr['id'],'System.magic',0,0);
		$u->info['money'] = $u->info['money'] - 100;
		mysql_query('UPDATE `users` SET `money` = `money` -100 WHERE `id` = '.$u->info['id'].' LIMIT 1');
		/*if($test['time'] < time()) {
			$test['time'] = time();
		}
		$test['time'] += 86400;*/
		$test['time'] = time() + 86400;
		
		
		mysql_query('UPDATE `actions` SET `time` = "'.$test['time'].'" WHERE `uid` = '.$usr['id'].' AND `id` = "'.$test['id'].'" LIMIT 1');

		mysql_query('UPDATE `items_users` SET `iznosNOW` = `iznosNOW` + 1 WHERE `id` = '.$itm['id'].' LIMIT 1');
		$eff = mysql_fetch_array(mysql_query('SELECT * FROM `eff_users` WHERE `id_eff` = 476 AND `uid` = "'.$usr['id'].'" LIMIT 1'));
		if(isset($eff['id']))
		{
			mysql_query('DELETE FROM `eff_users` WHERE `id` = '.$eff['id'].' AND `id_eff` = 476');
			$this->add_eff($usr['id'],476);
			mysql_query('UPDATE `eff_users` SET `name` = "Клаустрофобия «'.$u->info['login'].'»" WHERE `uid` = '.$usr['id'].' AND `uid` = "'.$usr['id'].'" AND `delete` = 0 AND `id_eff`= "476" LIMIT 1');
		}
		else
		{
		$this->add_eff($usr['id'],476);
		mysql_query('UPDATE `eff_users` SET `name` = "Клаустрофобия «'.$u->info['login'].'»" WHERE `uid` = '.$usr['id'].' AND `uid` = "'.$usr['id'].'" AND `delete` = 0 AND `id_eff`= "476" LIMIT 1');
		}
		}
		else
		{
		$u->error = 'У Вас недостаточно кр! Применение стоит 100кр.';
		}
	
	}else{
		$u->error = 'Хаосники не могут пользоваться этим свитком!';
	}
}
?>